


varying vec4 projCoord;
varying vec3 normal;
	
	void main()
	{	
  	gl_TexCoord[0] = gl_MultiTexCoord0;
	normal = normalize(gl_NormalMatrix * gl_Normal);	


	vec4 realPos = gl_ModelViewMatrix * gl_Vertex;
  
	projCoord = gl_TextureMatrix[1] * realPos;

	gl_FrontColor = gl_Color;



	gl_Position = ftransform();
	} 